using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

/// <summary>
/// از این کلاس برای ثبت واحد کالای جدید استفاده می شود
/// </summary>
public class Class_AssetUnits
{
    private String Str_AssetUnitName = String.Empty;

	public Class_AssetUnits(String Str_AssetUnitName)
	{
        this.Str_AssetUnitName = Str_AssetUnitName.Trim();
	}

    /// <summary>
    /// از این متد برای ایجاد واحد کالا می توان استفاده نمود
    /// </summary>
    public void UDF_CreateNewAssetUnit()
    {
        LSC_WareHouseDataContext db = new LSC_WareHouseDataContext();
        tblAssetUnit tblAsu = new tblAssetUnit();
        tblAsu.AssetUnitDescrition = this.Str_AssetUnitName;
        db.tblAssetUnits.InsertOnSubmit(tblAsu);
        db.SubmitChanges();
    }

    /// <summary>
    /// از این متد برای بررسی اینکه آیا رکورد قبلا وارد شده است یا خیر استفاده می شود
    /// </summary>
    /// <returns></returns>
    public int UDF_CheckDuplicate()
    {
        int int_Duplicated = 0;
        LSC_WareHouseDataContext db = new LSC_WareHouseDataContext();
        try
        {
            tblAssetUnit tblAsu = db.tblAssetUnits.Single(n => n.AssetUnitDescrition == Str_AssetUnitName.Trim());
            if (tblAsu.AssetUnitDescrition.Trim() == "")
            {
                int_Duplicated = 0;
            }
            else
            {
                int_Duplicated = 1;
            }
        }
        catch
        {
            int_Duplicated = 0;
        }
        return int_Duplicated;
    }
}
